Bug 1674086 - [RFE] disk failure prediction
Summary: [RFE] disk failure prediction
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: 4.0
Assignee: Neha Ojha
QA Contact: Manohar Murthy
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1730176
TreeView+ depends on / blocked
 
Reported: 2019-02-09 02:01 UTC by Josh Durgin
Modified: 2020-01-31 12:46 UTC (History)
8 users (show)

Fixed In Version: ceph-14.2.4-92.el8cp, ceph-14.2.4-32.el7cp
Doc Type: Enhancement
Doc Text:
.Introduction of `diskprediction` module The {product} `diskprediction` module gathers metrics to predict disk failures before they happen. The module has two modes, cloud and local. With this release, only the local mode is supported. The local mode does not require any external server for data analysis. It uses an internal predictor module for disk prediction service, and then returns the disk prediction result to the Ceph system. To enable the `diskprediction` module: ---- ceph mgr module enable diskprediction_local ---- To set the prediction mode: ---- ceph config set global device_failure_prediction_mode local ---- To disable the `diskprediction` module: ---- ceph config set global device_failure_prediction_mode none ----
Clone Of:
Environment:
Last Closed: 2020-01-31 12:45:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:46:06 UTC

Description Josh Durgin 2019-02-09 02:01:05 UTC
New module collects data from the OSD and provides failure prediction based on a local dataset.

Upstream docs: http://docs.ceph.com/docs/master/mgr/diskprediction/

Comment 1 Giridhar Ramaraju 2019-08-05 13:11:53 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 2 Giridhar Ramaraju 2019-08-05 13:12:46 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 16 errata-xmlrpc 2020-01-31 12:45:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.